// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 


#ifndef __SortWrapper_H_
#define __SortWrapper_H_

#include <e32base.h>
#include <e32std.h>
#include "ContactRead.h"
#include "ContactAsynchSortMainView.h"
#include <cntdb.h>

class CSortWrapper : public CActive
{
public:
	CSortWrapper(CContactAsynchSortMainView& aView, CContactDatabase& aDb);
	void StartL(CContactRead& aReader);
private:
	void RunL();
	void DoCancel();
	TInt RunError(TInt aError);
private:
	CContactAsynchSortMainView& iView;
	CContactDatabase& iDb;
	CContactRead* iContactReader;
};

#endif // __SortListener_H_
